#' Convert grf object to data frame
#'
#' Mainly for intenral use, this function takes a 2D grf object created in geoR and
#' converts it to a long dataframe.
#'
#' @param grf_obj a 2D grf object created by gfr
#'
#' @return a dataframe with columns `x`, `y`, and `value`
#'
#' @examples
#' sim1 <- geoR::grf(100, cov.pars = c(1, .25))
#' convert_grf_to_df(sim1)
#'
#' @export
convert_grf_to_df <- function(grf_obj) {
  df <-   data.frame(
    "x" = grf_obj$coords[, 1],
    "y"  = grf_obj$coords[, 2],
    "value" = grf_obj$data
  )
  df
}
