% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/define_pattern_t.R
\name{define_pattern_t}
\alias{define_pattern_t}
\title{Generate temporal pattern template at three levels}
\usage{
define_pattern_t(
  time_series,
  weekly_amplitude = 0,
  seasonal_amplitude = 0,
  annual_amplitude = 0,
  weekly_noise = 0,
  seasonal_noise = 0,
  annual_noise = 0
)
}
\arguments{
\item{time_series}{vector of dates}

\item{weekly_amplitude}{size of oscillations at weekly scale (default = 0)}

\item{seasonal_amplitude}{size of oscillations at seasonal scale (default = 0)}

\item{annual_amplitude}{size of oscillations at annual scale (default = 0)}

\item{weekly_noise}{variability at weekly scale (default = 0)}

\item{seasonal_noise}{variability at seasonal scale (default = 0)}

\item{annual_noise}{variability at annual scale (default = 0)}
}
\value{
data frame containing day of time series and corresponding pattern
}
\description{
Generate temporal pattern template at three levels
}
\examples{

time_series <- set_timeline(4, "years")
pattern <- define_pattern_t(lubridate::ymd(time_series))

ggplot2::ggplot(pattern, ggplot2::aes(x = date, y = pattern)) +
ggplot2::geom_line()

}
