% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sample_area.R
\name{sample_area}
\alias{sample_area}
\title{Sample spatial (and temporal) field}
\usage{
sample_area(
  field,
  point_based,
  areal_based = FALSE,
  n_samples,
  x_range,
  y_range,
  sampling_error_points = 0,
  sampling_error_areal = 0,
  regular = FALSE,
  balanced = FALSE
)
}
\arguments{
\item{field}{dataframe with coordinates (`x`, `y`), an optional `date` column and a response `value` or `true_value` column}

\item{point_based}{if TRUE, points in field are sampled}

\item{areal_based}{default=FALSE if TRUE, whole field is sampled areally}

\item{n_samples}{Number of point samples (ignored if point_based is false)}

\item{x_range}{number of points from centroid on the x axis (for areal sampling)}

\item{y_range}{number of points from centroid on the y axis (for areal sampling)}

\item{sampling_error_points}{Sampling error for point based sampling (ignored if point_based is false)}

\item{sampling_error_areal}{default=NULL Sampling error for areal based sampling (ignored if areal_based is false)}

\item{regular}{If true, point samples are distributed evenly (ignored if point_based is false)}

\item{balanced}{default=FALSE. Should samples be spatially balanced (if TRUE), only applies when regular=FALSE}
}
\value{
dataframe containing sampled values
}
\description{
Sample spatial (and temporal) field
}
\examples{

time_df <- set_timeline(1, "month")
time_series <- define_pattern_t(time_df)
spatial_field <- define_pattern_s(20,20, autocorr = FALSE)
space_time <- simulate_spacetime(temporal_pattern = time_series,
field = spatial_field,
pattern_adherence = 0.1)

field_samples <- sample_area(field = space_time, TRUE, TRUE, 20, 1, 1)

}
