% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sample_area_pointily.R
\name{sample_area_pointily}
\alias{sample_area_pointily}
\title{Take point samples in field}
\usage{
sample_area_pointily(
  field,
  n_samples,
  sampling_error,
  regular = TRUE,
  balanced = FALSE
)
}
\arguments{
\item{field}{dataframe with coordinates (`x`, `y`), an optional `date` column and a response `value` column}

\item{n_samples}{number of samples to be taken - note this is approximate depending on dimension divisibility}

\item{sampling_error}{noise around each sample}

\item{regular}{default=TRUE. Should samples be taken on regular grid (if TRUE), or randomly (if FALSE)}

\item{balanced}{default=FALSE. Should samples be spatially balanced (if TRUE), only applies when regular=FALSE}
}
\value{
data frame with sampled values
}
\description{
Take point samples in field
}
\examples{

field <- define_pattern_s(20, 20, TRUE, 4, 1)
field_sample <- sample_area_pointily(field, 10, 0.1, regular = FALSE)

}
