% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulate_spacetime.R
\name{simulate_spacetime}
\alias{simulate_spacetime}
\title{Apply temporal pattern in space}
\usage{
simulate_spacetime(temporal_pattern, field, pattern_adherence = 0)
}
\arguments{
\item{temporal_pattern}{pattern generated by `define_pattern_t`}

\item{field}{spatial field generated by}

\item{pattern_adherence}{how closely do cells adhere to the defined pattern (large values indicate more noise)}
}
\value{
space-time dataframe
}
\description{
Apply temporal pattern in space
}
\examples{

time_df <- set_timeline(1, "month")
time_series <- define_pattern_t(time_df)
spatial_field <- define_pattern_s(20,20, autocorr = FALSE)
space_time <- simulate_spacetime(temporal_pattern = time_series,
field = spatial_field,
pattern_adherence = 0.1)

ggplot2::ggplot(space_time, ggplot2::aes(x = x, y = y, fill = value)) +
ggplot2::geom_raster() +
ggplot2::facet_wrap(~date)

space_time$loc_id <- paste(space_time$x, space_time$y, sep = "_")

space_time_red <- space_time |> dplyr::filter(loc_id \%in\% sample(unique(space_time$loc_id), 5))

ggplot2::ggplot(space_time_red, ggplot2::aes(x = date, y = value, colour = interaction(x,y))) +
  ggplot2::geom_line() +
  ggplot2::theme(legend.position = "none")

}
